feature_name: Autocrypt 
feature_description: |
  OX Guard supports the Autocrypt specification.
properties:
    - key: com.openexchange.guard.autoCryptEnabled
      description: |
        Defines if Autocrypt is enabled. If enabled, Guard will add autocrypt headers to outgoing emails and allow users to import keys from incoming autocrypt headers.
      defaultValue: true
      version: 2.10.2
      reloadable: true
      configcascadeAware: true
      file: guard-core.properties 
      packageName: open-xchange-guard
      tags: ["Autocrypt"]
    - key: com.openexchange.guard.autoCryptMutual
      description: |
        Defines if the outgoing <i>prefer-encrypt</i> value of the Autocrypt header will be set to <i>mutual</i>.
      defaultValue: true
      version: 2.10.2
      reloadable: true
      configcascadeAware: true
      file: guard-core.properties 
      packageName: open-xchange-guard
      tags: ["Autocrypt"]
    - key: com.openexchange.guard.keySources.trustLevelAutoCrypt
      description: |
        The trust level for keys fetched from Autocrypt headers.
      defaultValue: 2
      version: 2.10.2
      reloadable: false
      configcascadeAware: false
      file: guard-core.properties 
      packageName: open-xchange-guard
      tags: ["Autocrypt", "Keymanagement", "Key trust"]
    - key: com.openexchange.guard.keySources.trustLevelAutoCryptUserVerified
      description: |
        The trust level for keys fetched from Autocrypt headers and manually verified by the user.
      defaultValue: 5
      version: 2.10.2
      reloadable: false
      configcascadeAware: false
      file: guard-core.properties 
      packageName: open-xchange-guard
      tags: ["Autocrypt", "Keymanagement", "Key trust"]
